install.pl: Disable compat-rdma-firmware on SLES12SP4 due to conflict master
authorVladimir Sokolovsky <vlad@mellanox.com>
Tue, 19 Feb 2019 21:29:06 +0000 (15:29 -0600)
committerVladimir Sokolovsky <vlad@mellanox.com>
Tue, 19 Feb 2019 21:29:06 +0000 (15:29 -0600)
Signed-off-by: Vladimir Sokolovsky <vlad@mellanox.com>
install.pl

index e8e651e..99fde69 100755 (executable)
@@ -1378,6 +1378,10 @@ sub set_availability
         $packages_info{'rdma-ndd'}{'available'} = 0;
        }
 
+    if ($rpm_distro =~ /sles12sp4/) {
+       $packages_info{'compat-rdma-firmware'}{'available'} = 0;
+    }
+
     if ($DISTRO =~ m/SLES15/) {
         $packages_info{'ibutils'}{'available'} = 0; #compilation failed with GCC6
     }
@@ -1950,7 +1954,7 @@ sub resolve_dependencies
     if ($packages_info{'compat-rdma'}{'rpm_exist'}) {
         for my $module (@selected_kernel_modules) {
             if ($module eq "firmware") {
-                if (not $packages_info{'compat-rdma-firmware'}{'rpm_exist'}) {
+                if (not $packages_info{'compat-rdma-firmware'}{'rpm_exist'} and ($rpm_distro !~ /sles12sp4/)) {
                     $packages_info{'compat-rdma'}{'rpm_exist'} = 0;
                     last;
                 } else {